Index: tmp/org.txm.core/src/java/org/txm/objects/Corpus.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/objects/Corpus.java	(revision 489)
+++ tmp/org.txm.core/src/java/org/txm/objects/Corpus.java	(revision 490)
@@ -36,15 +36,10 @@
 import java.util.HashMap;
 import java.util.List;
 
-import javax.persistence.EntityManager;
-
+import org.eclipse.core.runtime.IProgressMonitor;
 import org.txm.Toolbox;
-import org.txm.annotation.AnnotationManager;
-import org.txm.annotation.repository.KnowledgeRepository;
-import org.txm.annotation.repository.KnowledgeRepositoryManager;
 import org.txm.core.messages.TXMCoreMessages;
 import org.txm.core.preferences.TBXPreferences;
-import org.txm.functions.ProgressWatcher;
 import org.txm.metadatas.DateMetadata;
 import org.txm.metadatas.Metadata;
 import org.txm.metadatas.MetadataGroup;
@@ -162,8 +157,6 @@
 	protected int conc_left_context = 8; // read only
 	protected int conc_right_context = 12; // read only
 
-	/** The persistence manager for annotations **/
-	private EntityManager jpaem;
 
 	/**
 	 * Gets the text.
@@ -533,7 +526,7 @@
 	 * @param exportzip the exportzip
 	 * @return true, if successful
 	 */
-	public boolean export(File exportzip, ProgressWatcher monitor) {
+	public boolean export(File exportzip, IProgressMonitor monitor) {
 		File binarydir = this.getBaseDirectory();
 		if (binarydir.exists() && exportzip.getParentFile().exists()) {
 			try {
@@ -1094,15 +1087,4 @@
 	public void setDefaultViewProperty(String defaultViewProperty) {
 		this.defaultViewProperty = defaultViewProperty;
 	}
-
-	public abstract boolean canBeAnnotated();
-	public abstract KnowledgeRepository getKnowledgeRepository(String name);
-	public abstract  List<String> getKnowledgeRepositoryNames();
-	public abstract AnnotationManager getAnnotationManager();
-
-	@SuppressWarnings("unchecked")
-	public boolean[] mustLoginToKnowledgeRepository(String kr_name) {
-		return KnowledgeRepositoryManager.mustLoginToKnowledgeRepository(kr_name, this);
-	}
-
 }
Index: tmp/org.txm.core/src/java/org/txm/objects/BaseParameters.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/objects/BaseParameters.java	(revision 489)
+++ tmp/org.txm.core/src/java/org/txm/objects/BaseParameters.java	(revision 490)
@@ -17,8 +17,6 @@
 
 import javax.xml.parsers.ParserConfigurationException;
 
-import org.txm.annotation.repository.SQLKnowledgeRepository;
-import org.txm.sql.SQLConnection;
 import org.txm.utils.xml.DomUtils;
 import org.txm.utils.logger.Log;
 import org.w3c.dom.Document;
@@ -374,157 +372,7 @@
 		return text;
 	}
 
-	public Element getKnowledgeRepositoriesElement(Element corpusElement) {
-		NodeList textsList = corpusElement.getElementsByTagName("knowledgeRepositories");
-		if (textsList.getLength() == 0) {
-			Element knowledgeRepositories = corpusElement.getOwnerDocument().createElement("knowledgeRepositories");
-			corpusElement.appendChild(knowledgeRepositories);
-			return knowledgeRepositories;
-		} else {
-			return (Element) textsList.item(0);
-		}
-	}
 
-	public Element getKnowledgeRepositoryElement(String name) {
-		Element rElement = getKnowledgeRepositoriesElement(this.getCorpusElement());
-		NodeList repositoriesList = rElement.getElementsByTagName("repository");
-		for (int i = 0 ; i < repositoriesList.getLength() ; i++) {
-			Element e = ((Element)repositoriesList.item(i));
-			if (name.equals(e.getAttribute("name"))) {
-				return e;
-			}
-		}
-
-		return null;
-	}
-	
-	public Element createKnowledgeRepositoryElement(String name) {
-		Element rElement = getKnowledgeRepositoriesElement(this.getCorpusElement());
-		Element e = rElement.getOwnerDocument().createElement("repository");
-		e.setAttribute("name", name);
-		e.setAttribute("mode", "file");
-		e.setAttribute("user", "false");
-		e.setAttribute("password", "false");
-		e.setAttribute("version", "0");
-		
-		rElement.appendChild(e);
-		return e;
-	}
-
-	/**
-	 * Utility method to get a knowledge repository configuration
-	 * 
-	 * @param name the repository name
-	 * @return
-	 */
-	public List<String> getKnowledgeRepositoryNames() {
-		ArrayList<String> names = new ArrayList<String>();
-		Element corpusElement = getCorpusElement();
-		if (corpusElement == null) return names;
-		
-		Element rElement = getKnowledgeRepositoriesElement(corpusElement);
-		if (rElement == null) return names;
-		
-		NodeList repositoriesList = rElement.getElementsByTagName("repository");
-		for (int i = 0 ; i < repositoriesList.getLength() ; i++) {
-			names.add(((Element)repositoriesList.item(i)).getAttribute("name"));
-		}
-		return names;
-	}
-
-	public static String KNOWLEDGE_ACCESS = "access";
-	public static String KNOWLEDGE_TYPEQUERIES = "queries";
-	public static String KNOWLEDGE_TYPES = "fields";
-	public static String KNOWLEDGE_STRINGS = "strings";
-	public static String KNOWLEDGE_TYPEWEBACCESS = "typeaccess";
-	
-	/**
-	 * Utility method to get a knowledge repository configuration
-	 * 
-	 * @param name the repository name
-	 * @return
-	 */
-	public static HashMap<String, HashMap<String, ?>> getKnowledgeRepositoryConfiguration(String name, Element e) {
-		HashMap<String, HashMap<String, ?>> repConfiguration = new HashMap<String, HashMap<String, ?>>();
-
-		HashMap<String, String> access = new HashMap<String, String>();
-		HashMap<String, HashMap<String, String>> strings = new HashMap<String, HashMap<String, String>>();
-		HashMap<String, HashMap<String, String>> fields = new HashMap<String, HashMap<String, String>>();
-
-		if (e == null) return null;
-
-		access.put(SQLKnowledgeRepository.NAME, e.getAttribute(SQLKnowledgeRepository.NAME));
-		access.put("version", e.getAttribute("version"));
-		access.put("mode", e.getAttribute("mode"));
-		access.put(SQLKnowledgeRepository.TYPE_URL, e.getAttribute(SQLKnowledgeRepository.TYPE_URL));
-		access.put(SQLKnowledgeRepository.TYPE_RESURL, e.getAttribute(SQLKnowledgeRepository.TYPE_RESURL));
-		access.put(SQLKnowledgeRepository.TYPE_TYPEURL, e.getAttribute(SQLKnowledgeRepository.TYPE_TYPEURL));
-		access.put(SQLConnection.SQL_ADDRESS, e.getAttribute(SQLConnection.SQL_ADDRESS));
-		access.put(SQLConnection.SQL_DRIVER, e.getAttribute(SQLConnection.SQL_DRIVER));
-		access.put(SQLConnection.SQL_PORT, e.getAttribute(SQLConnection.SQL_PORT));
-		access.put(SQLConnection.SQL_USER, e.getAttribute(SQLConnection.SQL_USER));
-		access.put(SQLConnection.SQL_PASSWORD, e.getAttribute(SQLConnection.SQL_PASSWORD));
-
-		//<type id="" name> ... </type>
-		NodeList typesList = e.getElementsByTagName("type");
-		for (int i = 0 ; i < typesList.getLength() ; i++) {
-			//<field type="xxx">yyy</field>
-			Element typeElement = (Element)typesList.item(i);
-			String type_id = ""+typeElement.getAttribute(SQLKnowledgeRepository.TYPE_ID);
-			
-			String type_name = typeElement.getAttribute(SQLKnowledgeRepository.NAME);
-			if (type_name == null || type_name.length() == 0) type_name = type_id;
-			
-			String type_url = ""+typeElement.getAttribute(SQLKnowledgeRepository.TYPE_URL);
-			
-			String type_size = typeElement.getAttribute(SQLKnowledgeRepository.TYPE_SIZE);
-			if (type_size == null || type_size.length() == 0) type_size = "SMALL"; // show all by default 
-			type_size = type_size.toUpperCase();
-			
-			String type_effect = typeElement.getAttribute(SQLKnowledgeRepository.TYPE_EFFECT);
-			if (type_effect == null || type_effect.length() == 0) type_effect = "SEGMENT"; // segment annotation by default 
-			type_effect = type_effect.toUpperCase();
-
-			HashMap<String, String> hashFields = new HashMap<String, String>();
-			NodeList fieldsList = typeElement.getElementsByTagName("field"); // contains KR type specific properties
-			for (int j = 0 ; j < fieldsList.getLength() ; j++) {
-				Element fieldElement = (Element)fieldsList.item(j);
-				hashFields.put(fieldElement.getAttribute("type"), fieldElement.getTextContent());
-			}
-
-			hashFields.put(SQLKnowledgeRepository.TYPE_URL, type_url);
-			hashFields.put(SQLKnowledgeRepository.NAME, type_name);
-			hashFields.put(SQLKnowledgeRepository.TYPE_SIZE, type_size);
-			hashFields.put(SQLKnowledgeRepository.TYPE_EFFECT, type_effect);
-			fields.put(type_id, hashFields);
-		}
-		
-		NodeList stringsList = e.getElementsByTagName("strings");
-		for (int i = 0 ; i < stringsList.getLength() ; i++) {
-			Element stringsElement = (Element)stringsList.item(i);
-			String lang = stringsElement.getAttribute("lang");
-			if (lang == null) lang = "en"; // default lang is "en"
-			
-			HashMap<String, String> values = new HashMap<String, String>();
-			strings.put(lang, values);
-			
-			NodeList stringList = stringsElement.getElementsByTagName("string");
-			for (int j = 0 ; j < stringList.getLength() ; j++) {
-				Element stringElement = (Element)stringList.item(j);
-				String key = stringElement.getAttribute("key");
-				if (key != null) {
-					values.put(key, stringElement.getTextContent());
-				}
-			}
-		}
-
-		repConfiguration.put(KNOWLEDGE_ACCESS, access);
-		repConfiguration.put(KNOWLEDGE_TYPES, fields);
-		repConfiguration.put(KNOWLEDGE_STRINGS, strings);
-		
-		return repConfiguration;
-	}
-
 	public Element getTextsElement(Element corpusElement) {
 		NodeList textsList = corpusElement.getElementsByTagName("texts");
 		if(textsList.getLength() == 0) {
Index: tmp/org.txm.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.core/META-INF/MANIFEST.MF	(revision 489)
+++ tmp/org.txm.core/META-INF/MANIFEST.MF	(revision 490)
@@ -4,15 +4,12 @@
 Bundle-SymbolicName: org.txm.core;singleton:=true
 Bundle-Version: 0.7.9.qualifier
 Bundle-Activator: org.txm.toolbox.Activator
-Require-Bundle: org.eclipse.core.runtime;bundle-version="3.10.0",
- javax.persistence;bundle-version="2.1.0",
+Require-Bundle: org.txm.libs.groovy-all;bundle-version="1.0.0";visibility:=reexport,
+ org.eclipse.core.runtime;bundle-version="3.10.0";visibility:=reexport,
  org.txm.utils;bundle-version="1.0.0";visibility:=reexport,
- org.eclipse.osgi.util;bundle-version="3.2.0",
- org.eclipse.core.net,
- org.eclipse.osgi,
- org.txm.libs.groovy-all;bundle-version="1.0.0";visibility:=reexport,
- org.txm.statsengine.r.core;bundle-version="1.0.0",
- org.txm.annotation.core;bundle-version="1.0.0"
+ org.eclipse.osgi.util;bundle-version="3.2.0";visibility:=reexport,
+ org.eclipse.core.net;visibility:=reexport,
+ org.eclipse.osgi;visibility:=reexport
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
 Export-Package: EDU.oswego.cs.dl.util.concurrent,
  EDU.oswego.cs.dl.util.concurrent.misc,
Index: tmp/org.txm.lexicon.core/src/org/txm/lexicon/core/corpusengine/cqp/Lexicon.java
===================================================================
--- tmp/org.txm.lexicon.core/src/org/txm/lexicon/core/corpusengine/cqp/Lexicon.java	(revision 489)
+++ tmp/org.txm.lexicon.core/src/org/txm/lexicon/core/corpusengine/cqp/Lexicon.java	(revision 490)
@@ -39,7 +39,7 @@
 
 import org.txm.core.messages.TXMCoreMessages;
 import org.txm.core.results.TXMResult;
-import org.txm.functions.ProgressWatcher;
+import org.eclipse.core.runtime.IProgressMonitor;
 import org.txm.functions.TXMCommand;
 import org.txm.lexicon.core.messages.LexiconCoreMessages;
 import org.txm.searchengine.cqp.ICqiClient;
@@ -574,7 +574,7 @@
 	}
 
 	@Override
-	public boolean compute(ProgressWatcher watcher) throws Exception {
+	public boolean compute(IProgressMonitor watcher) throws Exception {
 		if (parent instanceof MainCorpus) {
 			initLexiconWith((MainCorpus)parent, property);
 		} else if (parent instanceof Subcorpus) {
Index: tmp/org.txm.utils/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.utils/META-INF/MANIFEST.MF	(revision 489)
+++ tmp/org.txm.utils/META-INF/MANIFEST.MF	(revision 490)
@@ -3,10 +3,10 @@
 Bundle-Name: org.txm.utils
 Bundle-SymbolicName: org.txm.utils
 Bundle-Version: 1.0.0.qualifier
-Require-Bundle: org.eclipse.osgi.util;bundle-version="3.3.0",
- org.eclipse.core.runtime,
+Require-Bundle: org.eclipse.osgi.util;bundle-version="3.3.0";visibility:=reexport,
+ org.eclipse.core.runtime;visibility:=reexport,
  org.txm.libs.saxon;bundle-version="9.0.0";visibility:=reexport,
- org.eclipse.core.net;bundle-version="1.2.200",
+ org.eclipse.core.net;bundle-version="1.2.200";visibility:=reexport,
  org.txm.libs.colt;bundle-version="1.2.0";visibility:=reexport,
  org.txm.libs.itext;bundle-version="2.1.5";visibility:=reexport
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
@@ -130,7 +130,6 @@
  org.mozilla.universalchardet.prober.distributionanalysis,
  org.mozilla.universalchardet.prober.sequence,
  org.mozilla.universalchardet.prober.statemachine,
- org.txm.functions,
  org.txm.utils;
   uses:="org.eclipse.core.runtime,
    org.osgi.framework,
Index: tmp/org.txm.utils/src/org/txm/utils/zip/Zip.java
===================================================================
--- tmp/org.txm.utils/src/org/txm/utils/zip/Zip.java	(revision 489)
+++ tmp/org.txm.utils/src/org/txm/utils/zip/Zip.java	(revision 490)
@@ -44,7 +44,7 @@
 import java.util.zip.ZipInputStream;
 import java.util.zip.ZipOutputStream;
 
-import org.txm.functions.ProgressWatcher;
+import org.eclipse.core.runtime.IProgressMonitor;
 import org.txm.utils.logger.Log;
 
 /**
@@ -89,7 +89,7 @@
 	 * @param targetZipFile the Zip file to create
 	 * @throws IOException Signals that an I/O exception has occurred.
 	 */
-	public static void compress(final File file, final File targetZipFile, ProgressWatcher monitor)
+	public static void compress(final File file, final File targetZipFile, IProgressMonitor monitor)
 			throws IOException {
 		compress(file, targetZipFile, DEFAULT_LEVEL_COMPRESSION, monitor);
 	}
@@ -107,7 +107,7 @@
 	 * @throws IOException Signals that an I/O exception has occurred.
 	 */
 	public static void compress(final File file, final File targetZipFile,
-			final int compressionLevel, ProgressWatcher monitor)
+			final int compressionLevel, IProgressMonitor monitor)
 					throws IOException {
 		final File source = file.getCanonicalFile();
 
@@ -192,7 +192,7 @@
 	 * @throws IOException Signals that an I/O exception has occurred.
 	 */
 	private final static void compressFile(final ZipOutputStream out,
-			final String parentFolder, final File file, ProgressWatcher monitor)
+			final String parentFolder, final File file, IProgressMonitor monitor)
 					throws IOException {
 		final String zipName = new StringBuilder(parentFolder)
 		.append(file.getName())
@@ -223,7 +223,7 @@
 					new FileInputStream(file));
 
 			try {
-				if (monitor != null) monitor.beginTask("Compressing "+file+" file ("+file.length()+" bytes).", file.length());
+				if (monitor != null) monitor.beginTask("Compressing "+file+" file ("+file.length()+" bytes).", (int)file.length());
 				final byte[] buf = new byte[8192];
 				int bytesRead;
 				while (-1 != (bytesRead = in.read(buf))) {
@@ -284,7 +284,7 @@
 	 * @param monitor, change progress state
 	 * @throws IOException Signals that an I/O exception has occurred.
 	 */
-	public static void decompress(final File file, final File folder, final boolean deleteZipAfter, ProgressWatcher monitor)
+	public static void decompress(final File file, final File folder, final boolean deleteZipAfter, IProgressMonitor monitor)
 			throws IOException {
 		ZipInputStream zis = new ZipInputStream(new BufferedInputStream(
 				new FileInputStream(file.getCanonicalFile())));
@@ -408,7 +408,7 @@
 	 * @throws IOException Signals that an I/O exception has occurred.
 	 */
 	public static void decompress(final String fileName, final String folderName,
-			final boolean deleteZipAfter, ProgressWatcher monitor)
+			final boolean deleteZipAfter, IProgressMonitor monitor)
 					throws IOException {
 		decompress(new File(fileName), new File(folderName), deleteZipAfter, monitor);
 	}
Index: tmp/org.txm.progression.core/src/org/txm/progression/core/functions/Progression.java
===================================================================
--- tmp/org.txm.progression.core/src/org/txm/progression/core/functions/Progression.java	(revision 489)
+++ tmp/org.txm.progression.core/src/org/txm/progression/core/functions/Progression.java	(revision 490)
@@ -38,7 +38,7 @@
 import java.util.Map;
 
 import org.txm.chartsengine.r.core.themes.DefaultTheme;
-import org.txm.functions.ProgressWatcher;
+import org.eclipse.core.runtime.IProgressMonitor;
 import org.txm.functions.TXMCommand;
 import org.txm.progression.core.messages.ProgressionCoreMessages;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
@@ -157,7 +157,7 @@
 	 * @throws CqiServerError 
 	 * @throws IOException 
 	 */
-	public boolean compute(ProgressWatcher monitor) throws CqiClientException, IOException, CqiServerError {
+	public boolean compute(IProgressMonitor monitor) throws CqiClientException, IOException, CqiServerError {
 		return stepQueries() && stepStructuralUnits() && stepFinalize();
 	}
 
Index: tmp/org.txm.textsbalance.core/src/org/txm/textsbalance/core/functions/TextsBalance.java
===================================================================
--- tmp/org.txm.textsbalance.core/src/org/txm/textsbalance/core/functions/TextsBalance.java	(revision 489)
+++ tmp/org.txm.textsbalance.core/src/org/txm/textsbalance/core/functions/TextsBalance.java	(revision 490)
@@ -15,7 +15,7 @@
 import org.txm.core.results.TXMResult;
 import org.txm.core.results.TXMParameters;
 import org.txm.functions.TXMCommand;
-import org.txm.functions.ProgressWatcher;
+import org.eclipse.core.runtime.IProgressMonitor;
 import org.txm.searchengine.cqp.AbstractCqiClient;
 import org.txm.searchengine.cqp.CQPEngine;
 import org.txm.searchengine.cqp.NetCqiClient;
@@ -60,7 +60,7 @@
 	}
 
 	@Override
-	public boolean compute(ProgressWatcher watcher, TXMParameters parameters) {
+	public boolean compute(IProgressMonitor watcher, TXMParameters parameters) {
 		this.parameters = parameters;
 		try {
 			StructuralUnit su = this.getCorpus().getStructuralUnit((String) parameters.get(TextsBalancePreferences.STRUCTURAL_UNIT));
@@ -78,7 +78,7 @@
 	}
 	
 	@Override
-	public boolean compute(ProgressWatcher watcher) throws Exception {
+	public boolean compute(IProgressMonitor watcher) throws Exception {
 		try {
 			StructuralUnit su = this.getCorpus().getStructuralUnit((String) parameters.get(TextsBalancePreferences.STRUCTURAL_UNIT));
 			return this.compute(
Index: tmp/org.txm.concordance.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.concordance.core/META-INF/MANIFEST.MF	(revision 489)
+++ tmp/org.txm.concordance.core/META-INF/MANIFEST.MF	(revision 490)
@@ -7,11 +7,11 @@
 Require-Bundle: org.txm.annotation.core;bundle-version="1.0.0",
  org.txm.utils;bundle-version="1.0.0",
  org.txm.searchengine.cqp.core;bundle-version="1.1.0",
- org.txm.statsengine.r.core;bundle-version="1.0.0",
  org.eclipse.osgi;bundle-version="3.10.2",
  org.eclipse.core.runtime;bundle-version="3.10.0",
  org.txm.core,
- org.txm.searchengine.core;bundle-version="1.0.0"
+ org.txm.searchengine.core;bundle-version="1.0.0",
+ org.txm.statsengine.r.core;bundle-version="1.0.0"
 Export-Package: org.txm.concordance.core.functions,
  org.txm.concordance.core.functions.comparators,
  org.txm.concordance.core.messages,
Index: tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/Concordance.java
===================================================================
--- tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/Concordance.java	(revision 489)
+++ tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/Concordance.java	(revision 490)
@@ -47,11 +47,12 @@
 import org.eclipse.core.runtime.IProgressMonitor;
 import org.txm.annotation.Annotation;
 import org.txm.annotation.AnnotationManager;
+import org.txm.annotation.KRAnnotationEngine;
 import org.txm.annotation.repository.AnnotationType;
 import org.txm.annotation.repository.TypedValue;
 import org.txm.concordance.core.functions.comparators.LineComparator;
 import org.txm.concordance.core.messages.ConcordanceMessages;
-import org.txm.functions.ProgressWatcher;
+import org.eclipse.core.runtime.IProgressMonitor;
 import org.txm.functions.TXMCommand;
 import org.txm.searchengine.cqp.AbstractCqiClient;
 import org.txm.searchengine.cqp.MemCqiClient;
@@ -330,7 +331,7 @@
 	 * @throws CqiClientException 
 	 */
 	@Override
-	public boolean compute(ProgressWatcher monitor) throws CqiClientException {
+	public boolean compute(IProgressMonitor monitor) throws CqiClientException {
 		this.queryResult = this.getCorpus().query(query, query.getQueryString()
 				.replace(" ", "_") + "_concordance", true); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 
@@ -383,7 +384,7 @@
 
 		Log.info(ConcordanceMessages.Concordance_6 + (to - from + 1) + ConcordanceMessages.Concordance_7);
 
-		AnnotationManager am = this.getCorpus().getAnnotationManager();
+		AnnotationManager am = KRAnnotationEngine.getAnnotationManager(this.getCorpus());
 
 		AbstractCqiClient cqiClient = CorpusManager.getCorpusManager().getCqiClient();
 		
Index: tmp/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/ExpI.java
===================================================================
--- tmp/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/ExpI.java	(revision 489)
+++ tmp/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/ExpI.java	(revision 490)
@@ -19,7 +19,7 @@
 import org.eclipse.jface.resource.ImageDescriptor;
 import org.eclipse.ui.model.IWorkbenchAdapter;
 import org.txm.core.messages.TXMCoreMessages;
-import org.txm.functions.ProgressWatcher;
+import org.eclipse.core.runtime.IProgressMonitor;
 import org.txm.functions.TXMCommand;
 import org.txm.index.core.functions.LineComparator.SortMode;
 import org.txm.index.core.messages.IndexCoreMessages;
@@ -379,7 +379,7 @@
 	};
 
 	@Override
-	public boolean compute(ProgressWatcher watcher) throws Exception {
+	public boolean compute(IProgressMonitor watcher) throws Exception {
 		System.out.println("ExpI.compute(monitor): not implemented.");
 		return false;
 	}
Index: tmp/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/ContextSubcorpus.java
===================================================================
--- tmp/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/ContextSubcorpus.java	(revision 489)
+++ tmp/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/ContextSubcorpus.java	(revision 490)
@@ -9,7 +9,7 @@
 import java.util.HashMap;
 
 import org.txm.core.results.TXMResult;
-import org.txm.functions.ProgressWatcher;
+import org.eclipse.core.runtime.IProgressMonitor;
 import org.txm.functions.TXMCommand;
 import org.txm.searchengine.cqp.CQPEngine;
 import org.txm.searchengine.cqp.MemCqiClient;
@@ -71,7 +71,7 @@
 	}
 
 	@Override
-	public boolean compute(ProgressWatcher monitor) throws IOException, CqiClientException, CqiServerError, InvalidCqpIdException {
+	public boolean compute(IProgressMonitor monitor) throws IOException, CqiClientException, CqiServerError, InvalidCqpIdException {
 if (!(CQPEngine.getCqiClient() instanceof MemCqiClient));
 		
 		MemCqiClient CQI = (MemCqiClient) CQPEngine.getCqiClient();
Index: tmp/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/ExpII.java
===================================================================
--- tmp/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/ExpII.java	(revision 489)
+++ tmp/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/ExpII.java	(revision 490)
@@ -23,7 +23,7 @@
 import org.eclipse.ui.model.IWorkbenchAdapter;
 import org.txm.core.messages.TXMCoreMessages;
 import org.txm.core.results.TXMResult;
-import org.txm.functions.ProgressWatcher;
+import org.eclipse.core.runtime.IProgressMonitor;
 import org.txm.functions.TXMCommand;
 import org.txm.index.core.functions.LineComparator.SortMode;
 import org.txm.index.core.messages.IndexCoreMessages;
@@ -293,7 +293,7 @@
 			monitor.worked(1);
 		}
 		
-		monitor.setMessage("Finalizing doc_word_freq_2.txt file...");
+		monitor.subTask("Finalizing doc_word_freq_2.txt file...");
 		for (String key : keywordsMaxCountsLexicon.keySet()) {
 			int[] keyMaxValues = keywordsMaxCountsLexicon.get(key);
 			for (int noText = 0 ; noText < textBoundaries.length ; noText++) {
@@ -307,7 +307,7 @@
 		queriesFileReader.close();
 		writer.close();
 		
-		monitor.setMessage("Writing lexicon file...");
+		monitor.subTask("Writing lexicon file...");
 		writer = new PrintWriter(new BufferedWriter(new OutputStreamWriter(new FileOutputStream(lexiconFile), "UTF-8")));
 		for (String query : idxLexicon.keySet()) {
 			String name = keywordQueriestoName.get(query);
@@ -681,7 +681,7 @@
 	}
 
 	@Override
-	public boolean compute(ProgressWatcher watcher) throws Exception {
+	public boolean compute(IProgressMonitor watcher) throws Exception {
 		System.out.println("ExpII.compute(monitor): not implemented.");
 		return false;
 	}
Index: tmp/org.txm.wordcloud.core/src/org/txm/wordcloud/core/functions/WordCloud.java
===================================================================
--- tmp/org.txm.wordcloud.core/src/org/txm/wordcloud/core/functions/WordCloud.java	(revision 489)
+++ tmp/org.txm.wordcloud.core/src/org/txm/wordcloud/core/functions/WordCloud.java	(revision 490)
@@ -6,7 +6,7 @@
 import java.util.List;
 
 import org.txm.chartsengine.core.results.IChartResult;
-import org.txm.functions.ProgressWatcher;
+import org.eclipse.core.runtime.IProgressMonitor;
 import org.txm.functions.TXMCommand;
 import org.txm.index.core.functions.Index;
 import org.txm.index.core.functions.Line;
@@ -253,7 +253,7 @@
 	}
 
 	@Override
-	public boolean compute(ProgressWatcher watcher) {
+	public boolean compute(IProgressMonitor watcher) {
 		// from corpus
 		if(source instanceof Corpus)	{
 			try {
Index: tmp/org.txm.annotation.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.annotation.core/META-INF/MANIFEST.MF	(revision 489)
+++ tmp/org.txm.annotation.core/META-INF/MANIFEST.MF	(revision 490)
@@ -1,17 +1,18 @@
 Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
 Bundle-Name: Annotation
-Bundle-SymbolicName: org.txm.annotation.core
+Bundle-SymbolicName: org.txm.annotation.core;singleton:=true
 Bundle-Version: 1.0.0.qualifier
 Bundle-Activator: org.txm.annotation.Activator
-Require-Bundle: org.eclipse.persistence.jpa;bundle-version="2.6.0",
- org.eclipse.persistence.jpa.jpql;bundle-version="2.6.0",
- javax.persistence;bundle-version="2.1.0",
+Require-Bundle: org.txm.searchengine.cqp.core,
+ org.eclipse.persistence.jpa;bundle-version="2.6.0";visibility:=reexport,
+ org.eclipse.persistence.jpa.jpql;bundle-version="2.6.0";visibility:=reexport,
+ javax.persistence;bundle-version="2.1.0";visibility:=reexport,
  org.txm.utils;bundle-version="1.0.0",
  org.eclipse.osgi;bundle-version="3.10.2",
  org.txm.core;bundle-version="0.7.0",
  org.eclipse.ui,
- org.txm.searchengine.cqp.core
+ org.txm.searchengine.core;bundle-version="1.0.0"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
 Bundle-ActivationPolicy: lazy
 Export-Package: org.txm.annotation,
Index: tmp/org.txm.annotation.core/schema/org.txm.annotation.AnnotationEngine.exsd
===================================================================
--- tmp/org.txm.annotation.core/schema/org.txm.annotation.AnnotationEngine.exsd	(revision 0)
+++ tmp/org.txm.annotation.core/schema/org.txm.annotation.AnnotationEngine.exsd	(revision 490)
@@ -0,0 +1,102 @@
+<?xml version='1.0' encoding='UTF-8'?>
+<!-- Schema file written by PDE -->
+<schema targetNamespace="org.txm.annotation.core" xmlns="http://www.w3.org/2001/XMLSchema">
+<annotation>
+      <appinfo>
+         <meta.schema plugin="org.txm.annotation.core" id="org.txm.annotation.AnnotationEngine" name="org.txm.annotation.AnnotationEngine"/>
+      </appinfo>
+      <documentation>
+         Annotation engine
+      </documentation>
+   </annotation>
+
+   <element name="extension">
+      <annotation>
+         <appinfo>
+            <meta.element />
+         </appinfo>
+      </annotation>
+      <complexType>
+         <choice minOccurs="1" maxOccurs="unbounded">
+            <element ref="AnnotationEngine"/>
+         </choice>
+         <attribute name="point" type="string" use="required">
+            <annotation>
+               <documentation>
+                  
+               </documentation>
+            </annotation>
+         </attribute>
+         <attribute name="id" type="string">
+            <annotation>
+               <documentation>
+                  
+               </documentation>
+            </annotation>
+         </attribute>
+         <attribute name="name" type="string">
+            <annotation>
+               <documentation>
+                  
+               </documentation>
+               <appinfo>
+                  <meta.attribute translatable="true"/>
+               </appinfo>
+            </annotation>
+         </attribute>
+      </complexType>
+   </element>
+
+   <element name="AnnotationEngine">
+      <complexType>
+         <attribute name="class" type="string">
+            <annotation>
+               <documentation>
+                  
+               </documentation>
+               <appinfo>
+                  <meta.attribute kind="java" basedOn="org.txm.annotation.AnnotationEngine:"/>
+               </appinfo>
+            </annotation>
+         </attribute>
+      </complexType>
+   </element>
+
+   <annotation>
+      <appinfo>
+         <meta.section type="since"/>
+      </appinfo>
+      <documentation>
+         [Enter the first release in which this extension point appears.]
+      </documentation>
+   </annotation>
+
+   <annotation>
+      <appinfo>
+         <meta.section type="examples"/>
+      </appinfo>
+      <documentation>
+         [Enter extension point usage example here.]
+      </documentation>
+   </annotation>
+
+   <annotation>
+      <appinfo>
+         <meta.section type="apiinfo"/>
+      </appinfo>
+      <documentation>
+         [Enter API information here.]
+      </documentation>
+   </annotation>
+
+   <annotation>
+      <appinfo>
+         <meta.section type="implementation"/>
+      </appinfo>
+      <documentation>
+         [Enter information about supplied implementation of this extension point.]
+      </documentation>
+   </annotation>
+
+
+</schema>

